Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class ServerInfoImp

    java.lang.Object
      com.rsa.authagent.authapi.ServerInfoImp

All Implemented Interfaces:
  ServerInfo

    public class ServerInfoImp

extends java.lang.Object
implements ServerInfo

Contains the status and configuration information for each Replica in the realm.

Field Summary

Fields inherited from interface com.rsa.authagent.authapi.ServerInfo
`ALIAS_ONLY_OPTION, IGNORE_ALIASES_OPTION`

Constructor Summary
`ServerInfoImp(AcmServerInfo acmServerInfo)` Constructor for ServerInfo

Method Summary
`java.net.InetAddress` | `getActiveAddr()` Returns the active IP address of the Replica.
`java.net.InetAddress` | `getAddr()` Returns the official IP address of the Replica.
`java.net.InetAddress[]` | `getAliases()` Returns the aliases assigned to the Replica.
`int` | `getAliasOptions()` Returns the values of the alias options.
`java.lang.String` | `getHostName()` Returns the hostname of the Replica.
`int` | `getProcessedRequest()` Returns the number of request (time and auth) processed.
`boolean` | `isAddressVerified()` Returns true when the agent has contacted the replica, and the IP address of the replica is valid.
`boolean` | `isEmergency()` Returns true when the replica has a priority value of 1 and is used in emergency mode only, which means no other replicas of higher priority are available for use.
`boolean` | `isPrimary()` Returns true when the Authentication Manager is a Primary instance.
`boolean` | `isSelectable()` Returns true when the replica has a priority value of 2-10.
`boolean` | `isSuspended()` Returns true when the agent cannot contact the replica.
`java.lang.String` | `toString()` Returns the Replica status and configuration information in a display-friendly format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerInfoImp

    public ServerInfoImp(AcmServerInfo acmServerInfo)

  Constructor for ServerInfo

Method Detail

### getAddr

    public java.net.InetAddress getAddr()

  Returns the official IP address of the Replica.

  Specified by:
    `getAddr` in interface `ServerInfo`
  Returns:
    the IP address of the Replica

### getActiveAddr

    public java.net.InetAddress getActiveAddr()

  Returns the active IP address of the Replica.

  Specified by:
    `getActiveAddr` in interface `ServerInfo`
  Returns:
    the IP address of the Replica

### getAliases

    public java.net.InetAddress[] getAliases()

  Returns the aliases assigned to the Replica.

  Specified by:
    `getAliases` in interface `ServerInfo`
  Returns:
    an array of IP addresses

### getAliasOptions

    public int getAliasOptions()

  Returns the values of the alias options.

  Specified by:
    `getAliasOptions` in interface `ServerInfo`
  Returns:
    the alias options

### getProcessedRequest

    public int getProcessedRequest()

  Returns the number of request (time and auth) processed.

  Specified by:
    `getProcessedRequest` in interface `ServerInfo`
  Returns:
    the number of request (time and auth) processed.

### getHostName

    public java.lang.String getHostName()

  Returns the hostname of the Replica.

  Specified by:
    `getHostName` in interface `ServerInfo`
  Returns:
    the hostname of the Replica

### toString

    public java.lang.String toString()

  Returns the Replica status and configuration information in a display-friendly format.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String object that displays the Replica status and configuration information

### isSuspended

    public boolean isSuspended()

  Description copied from interface: `ServerInfo`
  Returns true when the agent cannot contact the replica.

  Specified by:
    `isSuspended` in interface `ServerInfo`
  Returns:
    true when the agent cannot cannot the replica

### isEmergency

    public boolean isEmergency()

  Description copied from interface: `ServerInfo`
  Returns true when the replica has a priority value of 1 and is used in emergency mode only, which means no other replicas of higher priority are available for use.

  Specified by:
    `isEmergency` in interface `ServerInfo`
  Returns:
    true when the replica has a priority value of 1

### isSelectable

    public boolean isSelectable()

  Description copied from interface: `ServerInfo`
  Returns true when the replica has a priority value of 2-10.

  Specified by:
    `isSelectable` in interface `ServerInfo`
  Returns:
    true when the replica has a priority value of 2-10

### isPrimary

    public boolean isPrimary()

  Description copied from interface: `ServerInfo`
  Returns true when the Authentication Manager is a Primary instance.

  Specified by:
    `isPrimary` in interface `ServerInfo`
  Returns:
    true when the Authentication Manager is a Primary instance.

### isAddressVerified

    public boolean isAddressVerified()

  Description copied from interface: `ServerInfo`
  Returns true when the agent has contacted the replica, and the IP address of the replica is valid.

  Specified by:
    `isAddressVerified` in interface `ServerInfo`
  Returns:
    true when the agent has contacted the replica, and the IP address of the replica is valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.